Sponsored Content
Full Discussion: Little script with minicom
Top Forums Shell Programming and Scripting Little script with minicom Post 302627165 by enaud on Friday 20th of April 2012 11:33:43 AM
Old 04-20-2012
Thanks but i not undstand where put this function.
This is my new script but not work
i have an error on stty:standard input: unable to perform all requested operations

Code:
#! bin/sh

modem=/dev/ttyUSB3
file=/home/giuseppe/Desktop/SCRIPTMODEM/imsi.txt
chat_script=/home/giuseppe/Desktop/SCRIPTMODEM/omnitel.chat

exec 3<&1 >"$modem" <"$modem"

stty 115200 clocal
if ! chat -v -s -f "${chat_script}"; then
    echo "error setup modem" >&2
    exit 1
fi

die() {
    echo "$@" >&2
    exit 1
}
send_expect() {
    chat -v -f 'ABORT ERROR' '' "$@" ''
}

if ! [ -e "$modem" ]; then
    die 'Modem not connected'
fi

if ! send_expect 'AT+CREG?' '+CREG: 0,1'; then
    die 'Modem not registered'
fi

if ! send_expect 'AT!PADCONN=1' 'CONNECT'; then
    die 'Unable to open socket'
fi

cat"$file"
echo "done" >&3

you can write complete script pls?
thanks

---------- Post updated at 10:33 AM ---------- Previous update was at 08:23 AM ----------

i have do a new script following you:

Code:
#! /bin/bash
exec 2>error

cat /dev/ttyUSB3 /home/giuseppe/Desktop/SCRIPTMODEM/imsi.txt &
sleep 1

# CONTROLLO MODEM CONNESSO
if ! [ -e /dev/ttyUSB3 ]; then
    echo 'Modem non connesso'
    exit 0
fi

if ! chat -V -f 'ABORT ERROR' '' "$@" '' 'AT' 'OK' > /dev/ttyUSB3 < /dev/ttyUSB3; then
    echo "$@" 'ERRORE AT 1'
fi

sleep 2
killall cat
exit 0

but i view always ERRORE AT1.

Smilie

Last edited by enaud; 04-20-2012 at 12:34 PM.. Reason: changed PHP tags to CODE tags for readability because this is not PHP code.
 

10 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

linux - minicom

hello. i'm attempting to use minicom in linux, but i'm having some difficulties. When i type in "minicom", the application opens up. It says 'starting minicom/finding modem'(something like that). However, once it actually starts, I can't do anything. No matter what I type in, it doesn't work. ... (2 Replies)
Discussion started by: kickboxer
2 Replies

2. UNIX for Dummies Questions & Answers

Minicom Scripting

Does anyone have a working minicom script they would care to post as I can't get the scripting working and the scriptdemo and unixlogin sample scripts are on my system either. Thanx, I (2 Replies)
Discussion started by: ianf
2 Replies

3. Shell Programming and Scripting

running scripts in minicom

Hi, I am new to use minicom. I want script to run on minicom with username and password as automated.(Expect). please could anyone suggest the sample code for it. Thanks in advance (2 Replies)
Discussion started by: vanid
2 Replies

4. Shell Programming and Scripting

expect minicom

Hi, I am new to using minicom. I want how to write a expect script for minicom login? I wrote a code but its not acting what iam expecting. here I have my code: #!/usr/bin/expect set fd fconfigure $fd spawn -open $fd spawn minicom expect “enter:” send "\n" send "\n" ... (3 Replies)
Discussion started by: vanid
3 Replies

5. Shell Programming and Scripting

minicom works, but stty does not

Hi all, I have some trouble getting stty to talk to some serial/usb converter. Getting minicom to work was however quite simple after I entered the following settings in addition to its standard-setup: pu port /dev/ttyUSB0 pu baudrate 19200 pu bits 8 pu... (3 Replies)
Discussion started by: pa-trick
3 Replies

6. Shell Programming and Scripting

Exiting from Minicom on a shell script

This is what I've tried: #!/bin/sh send sh send showifs send exit ! killall minicom My problem is that for some reason when I do this it doesn't give me the results of the prior commands sent like showifs So I suspect my syntax is wrong. (1 Reply)
Discussion started by: uradunce
1 Replies

7. Shell Programming and Scripting

Help with minicom script

I'm a fairly new user to Linux based systems and am still a little uncomfortable with using the command interface. I'm trying to get my feet wet but have unfortunately hit a wall and am actually not even sure what I am trying to accomplish is at all possible. Basically, I am trying to use a... (0 Replies)
Discussion started by: nrdk00
0 Replies

8. Shell Programming and Scripting

Expect script not working in crontab with minicom

Hi All, I am testing expect script in command prompt without issue, but in crontab it is not working, i check the output error as below: #cat /var/log/testexp.log spawn minicom -C /var/log/minicom1.log No cursor motion capability (cm) AT+COPS=? I am new in scripting, together... (1 Reply)
Discussion started by: elingtey
1 Replies

9. SCO

Minicom

hello is there a copy of minicom or equivalent for unixware 7? thanks (3 Replies)
Discussion started by: deus-programmer
3 Replies

10. UNIX for Dummies Questions & Answers

Alternatives to minicom During Remote Access?

Hey All, I am trying to find something similar to minicom, but it needs the ability to be ran during a remote dialup session on the remote device's side. If I dial into the remote server (*using minicom) and then try to run minicom on the remote server I get the following: # minicom... (20 Replies)
Discussion started by: mrm5102
20 Replies
escape(1)							Mail Avenger 0.8.3							 escape(1)

NAME
escape - escape shell special characters in a string SYNOPSIS
escape string DESCRIPTION
escape prepends a "" character to all shell special characters in string, making it safe to compose a shell command with the result. EXAMPLES
The following is a contrived example showing how one can unintentionally end up executing the contents of a string: $ var='; echo gotcha!' $ eval echo hi $var hi gotcha! $ Using escape, one can avoid executing the contents of $var: $ eval echo hi `escape "$var"` hi ; echo gotcha! $ A less contrived example is passing arguments to Mail Avenger bodytest commands containing possibly unsafe environment variables. For example, you might write a hypothetical reject_bcc script to reject mail not explicitly addressed to the recipient: #!/bin/sh formail -x to -x cc -x resent-to -x resent-cc | fgrep "$1" > /dev/null && exit 0 echo "<$1>.. address does not accept blind carbon copies" exit 100 To invoke this script, passing it the recipient address as an argument, you would need to put the following in your Mail Avenger rcpt script: bodytest reject_bcc `escape "$RECIPIENT"` SEE ALSO
avenger(1), The Mail Avenger home page: <http://www.mailavenger.org/>. BUGS
escape is designed for the Bourne shell, which is what Mail Avenger scripts use. escape might or might not work with other shells. AUTHOR
David Mazieres Mail Avenger 0.8.3 2012-04-05 escape(1)
All times are GMT -4. The time now is 12:26 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy